summaryrefslogtreecommitdiff
path: root/include/vendor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/vendor.sh')
-rwxr-xr-xinclude/vendor.sh5
1 files changed, 1 insertions, 4 deletions
diff --git a/include/vendor.sh b/include/vendor.sh
index eb250a6f..06b10fc7 100755
--- a/include/vendor.sh
+++ b/include/vendor.sh
@@ -46,10 +46,7 @@ vendor_download()
detect_firmware()
{
[ -d "$boarddir" ] || $err "Target '$board' not defined."
- check_defconfig "${boarddir}" && exit 0
-
- set -- "${boarddir}/config/"*
- . "${1}" 2>/dev/null
+ . "$(check_defconfig "${boarddir}")" 2>/dev/null || exit 0
. "${boarddir}/target.cfg" 2>/dev/null
[ -z "$tree" ] && $err "detect_firmware $boarddir: tree undefined"